<template>
  <b-modal :model-value="open" hide-footer @hidden="close">
    <template #title>
      <span class="h6">{{ $t(`page.settings.template.loading`) }}</span>
    </template>

    <!-- Body -->
    <p class="mb-1 text-center">
      <b-spinner label="Spinning"></b-spinner>
    </p>
  </b-modal>
</template>

<script lang="ts">
export default defineComponent({
  props: {
    open: {
      type: Boolean,
      required: true,
    },
  },

  emits: {
    close: () => true,
  },

  methods: {
    close() {
      this.$emit("close");
    },
  },
});
</script>
